package com.lz.modules.equipment.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*设备表
* @author quyixiao
* @since 2020-08-10
*/

@Data
@TableName("equipment_info")
public class EquipmentInfo implements java.io.Serializable {
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除
    private Integer isDelete;
    //生成时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //设备类型描述
    private String brandName;
    //设备规格
    private String specType;
    //设备类别
    private String type;
    //数量
    private Long num;
    //单位  件/台
    private String unit;
    //使用方
    private String user;
    //所属方
    private String owner;
    //设备本身标识
    private String qr;
    //设备原有标识
    private String originalCode;
    //现有生成标识
    private String code;
    //备注
    private String mark;
    //最后一次出库时间
    private Date gmtOutbound;
    //第一次入库时间
    private Date gmtInbound;
    //0：入库 1：售出 2：不可用 3:调拨 4:申领
    private Integer equipmentState;
    //买入金额
    private BigDecimal buyAmount;
    //出售价格
    private BigDecimal saleAmount;
    //流水审批编号
    private String no;
    //使用人id
    private Long userId;
    //special_apply_info  表id
    private Long saiId;
    //第几次盘点
    private Integer count;

    //类型id
    private Long typeId;
    //品牌id
    private Long brandId;
    //规格id
    private Long specsId;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 生成时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 生成时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 设备类型描述 
     * @return
     */
    public String getBrandName() {
        return brandName;
    }
    /**
     * 设备类型描述 
     * @param brandName
     */
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    /**
     * 设备规格 
     * @return
     */
    public String getSpecType() {
        return specType;
    }
    /**
     * 设备规格 
     * @param specType
     */
    public void setSpecType(String specType) {
        this.specType = specType;
    }

    /**
     * 设备类别 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 设备类别 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 数量 
     * @return
     */
    public Long getNum() {
        return num;
    }
    /**
     * 数量 
     * @param num
     */
    public void setNum(Long num) {
        this.num = num;
    }

    /**
     * 单位  件/台 
     * @return
     */
    public String getUnit() {
        return unit;
    }
    /**
     * 单位  件/台 
     * @param unit
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    /**
     * 使用方 
     * @return
     */
    public String getUser() {
        return user;
    }
    /**
     * 使用方 
     * @param user
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     * 所属方 
     * @return
     */
    public String getOwner() {
        return owner;
    }
    /**
     * 所属方 
     * @param owner
     */
    public void setOwner(String owner) {
        this.owner = owner;
    }

    /**
     * 设备本身标识 
     * @return
     */
    public String getQr() {
        return qr;
    }
    /**
     * 设备本身标识 
     * @param qr
     */
    public void setQr(String qr) {
        this.qr = qr;
    }

    /**
     * 设备原有标识 
     * @return
     */
    public String getOriginalCode() {
        return originalCode;
    }
    /**
     * 设备原有标识 
     * @param originalCode
     */
    public void setOriginalCode(String originalCode) {
        this.originalCode = originalCode;
    }

    /**
     * 现有生成标识 
     * @return
     */
    public String getCode() {
        return code;
    }
    /**
     * 现有生成标识 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 备注 
     * @return
     */
    public String getMark() {
        return mark;
    }
    /**
     * 备注 
     * @param mark
     */
    public void setMark(String mark) {
        this.mark = mark;
    }

    /**
     * 最后一次出库时间 
     * @return
     */
    public Date getGmtOutbound() {
        return gmtOutbound;
    }
    /**
     * 最后一次出库时间 
     * @param gmtOutbound
     */
    public void setGmtOutbound(Date gmtOutbound) {
        this.gmtOutbound = gmtOutbound;
    }

    /**
     * 第一次入库时间 
     * @return
     */
    public Date getGmtInbound() {
        return gmtInbound;
    }
    /**
     * 第一次入库时间 
     * @param gmtInbound
     */
    public void setGmtInbound(Date gmtInbound) {
        this.gmtInbound = gmtInbound;
    }

    /**
     * 0：入库 1：售出 2：不可用 3:调拨 4:申领 
     * @return
     */
    public Integer getEquipmentState() {
        return equipmentState;
    }
    /**
     * 0：入库 1：售出 2：不可用 3:调拨 4:申领 
     * @param equipmentState
     */
    public void setEquipmentState(Integer equipmentState) {
        this.equipmentState = equipmentState;
    }

    /**
     * 买入金额 
     * @return
     */
    public BigDecimal getBuyAmount() {
        return buyAmount;
    }
    /**
     * 买入金额 
     * @param buyAmount
     */
    public void setBuyAmount(BigDecimal buyAmount) {
        this.buyAmount = buyAmount;
    }

    /**
     * 出售价格 
     * @return
     */
    public BigDecimal getSaleAmount() {
        return saleAmount;
    }
    /**
     * 出售价格 
     * @param saleAmount
     */
    public void setSaleAmount(BigDecimal saleAmount) {
        this.saleAmount = saleAmount;
    }

    /**
     * 流水审批编号 
     * @return
     */
    public String getNo() {
        return no;
    }
    /**
     * 流水审批编号 
     * @param no
     */
    public void setNo(String no) {
        this.no = no;
    }

    /**
     * 使用人id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 使用人id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * special_apply_info  表id 
     * @return
     */
    public Long getSaiId() {
        return saiId;
    }
    /**
     * special_apply_info  表id 
     * @param saiId
     */
    public void setSaiId(Long saiId) {
        this.saiId = saiId;
    }

    /**
     * 第几次盘点 
     * @return
     */
    public Integer getCount() {
        return count;
    }
    /**
     * 第几次盘点 
     * @param count
     */
    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public Long getSpecsId() {
        return specsId;
    }

    public void setSpecsId(Long specsId) {
        this.specsId = specsId;
    }

    @Override
    public String toString() {
        return "EquipmentInfo{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",brandName=" + brandName +
                ",specType=" + specType +
                ",type=" + type +
                ",num=" + num +
                ",unit=" + unit +
                ",user=" + user +
                ",owner=" + owner +
                ",qr=" + qr +
                ",originalCode=" + originalCode +
                ",code=" + code +
                ",mark=" + mark +
                ",gmtOutbound=" + gmtOutbound +
                ",gmtInbound=" + gmtInbound +
                ",equipmentState=" + equipmentState +
                ",buyAmount=" + buyAmount +
                ",saleAmount=" + saleAmount +
                ",no=" + no +
                ",userId=" + userId +
                ",saiId=" + saiId +
                ",count=" + count +
                ",typeId=" + typeId +
                ",brandId=" + brandId +
                ",specsId=" + specsId +
                "}";
    }
}